package test.functions;

public class AbstractFunction implements Function{

	private FunctionUtils fu = null;
	
	public AbstractFunction(FunctionUtils fu){
		this.fu  = fu;
	}
	
	public int getNumberOfVariables(){
		return fu.getCurrentFunctionVariables();
	}
	
	public double executeFunction(double[] a){
		return fu.executeCurrentFunction(a);
	}
	
	public String toString(){
		return fu.currentFunction();
	}
	
}
