package util.io;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

public class ModelInformationParser {

	
	public ModelInformationParser(){
		
	}
	
	public Map<String,String> parseModelInformationFile(String fileName) throws IOException{
		Map<String,String> temp = new HashMap<String,String>();
		BufferedReader reader = new BufferedReader(new FileReader(fileName));
		String s = reader.readLine();
		while(s!=null){
			if(!s.startsWith("#")){
				String[] split = s.split("\t+");
				String command = split[0];
				String value   = split[1];
				temp.put(command, value);
			}
			s = reader.readLine();
		}
		reader.close();
		
		return temp;
	}
	
}
