/*
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package util.parsers.embl;

import java.util.ArrayList;
import java.util.List;

public class EmblFileData {

	private String sequence = "";
	private String fileName = "";
	private int definedBasePairs = 0;
	private List<Embl_CDS_Data> cds_data_list = new ArrayList<Embl_CDS_Data>();
	
	
	public EmblFileData(){
	}
	



	public List<Embl_CDS_Data> getCds_data_list() {
		return cds_data_list;
	}


	public void setCds_data_list(List<Embl_CDS_Data> cds_data_list) {
		this.cds_data_list = cds_data_list;
	}


	public int getDefinedBasePairs() {
		return definedBasePairs;
	}


	public void setDefinedBasePairs(int definedBasePairs) {
		this.definedBasePairs = definedBasePairs;
	}


	public String getFileName() {
		return fileName;
	}


	public void setFileName(String fileName) {
		this.fileName = fileName;
	}


	public String getSequence() {
		return sequence;
	}


	public void setSequence(String sequence) {
		this.sequence = sequence;
	}
	
}
