/*
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package util.results;

public class ClassificationResult {
	
	
	private boolean isDonor = true;
	private int splicesite = 0;
	private String classification = "";
	private String seqName = "";
	private double distance = 0.0;
	
	//private double confidence = 0.0;
	
	public String getClassification() {
		return classification;
	}

	public void setClassification(String classification) {
		this.classification = classification;
	}

	public double getDistance() {
		return distance;
	}

	public void setDistance(double distance) {
		this.distance = distance;
	}

	public boolean isDonor() {
		return isDonor;
	}

	public void setDonor(boolean isDonor) {
		this.isDonor = isDonor;
	}

	public String getSeqName() {
		return seqName;
	}

	public void setSeqName(String seqName) {
		this.seqName = seqName;
	}

	public int getSplicesite() {
		return splicesite;
	}

	public void setSplicesite(int splicesite) {
		this.splicesite = splicesite;
	}

	public ClassificationResult(){
	}



}
