package var.experimenter;

import java.awt.GridLayout;
import java.util.ArrayList;
import java.util.List;

import javax.swing.JLabel;
import javax.swing.JTextField;

public class FixedRangeOption extends ScriptOptionAbstractClass{
	
	public static final long serialVersionUID = 55546894l;
	private List<Double> double_values = null;
	private List<Integer> integer_values = null;
	
	private JTextField rangeField = null;
	
	public FixedRangeOption(){
		super();
		this.setLayout(new GridLayout(1,2));
		double_values = new ArrayList<Double>();
		integer_values = new ArrayList<Integer>();
		rangeField = new JTextField(30);
		this.add(new JLabel("Enter values, semicolon seperated"));
		this.add(rangeField);
	}
	
	
	public List<Double> getDoubleValues(){
		String s = rangeField.getText();
		String[] values = s.split(";");
		double_values.clear();
		for(String t : values){
			double val = extractDoubleValue(t,0);
			double_values.add(val);
		}
		return double_values;
	}
	public List<Integer> getIntValues(){
		String s = rangeField.getText();
		String[] values = s.split(";");
		integer_values.clear();
		for(String t : values){
			int val = (int)extractDoubleValue(t,0);
			integer_values.add(val);
		}
		return integer_values;
	}

}
