package test;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.util.ArrayList;
import java.util.List;

public class Test {

	public static void main(String[] args){
		new Test(args);
	}
	
	public Test(String[] args){
		String filename = args[0];
		int site = Integer.parseInt(args[1]);
		
		List<String> data = getData(filename);
		
		String t = data.get(0);
		String seq = t.substring(site,site+10);
		
		System.out.println(seq);
		
	}
	
	
	public List<String> getData(String fileName){
		
		List<String> data = new ArrayList<String>();
		try{
			BufferedReader reader = new BufferedReader(new FileReader(new File(fileName)));
			String s = reader.readLine();
			while(s!=null){
				if(!s.startsWith(">"))
					data.add(s);
				s = reader.readLine();
			}
		}
		catch(Exception exc){
			exc.printStackTrace();
			System.exit(1);
		}
		
		return data;
	}
	
}
