/*
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package util.classificationFeatures;

public class AttributeDescription {

	public ClassificationFeatureUtils.CLASSIFICATIONFEATURE_TYPES type = ClassificationFeatureUtils.CLASSIFICATIONFEATURE_TYPES.BRANCH_POINT;

	public int location_bp = -1;
	public int reading_frame = -1;
	public String up_down = "";
	public String value = "";
	
	public String explanation = "";
	public boolean findSupport = true;
	
	public String toString(){
		if(!findSupport)
			return explanation;
		String res = "";
		
		res+=value+" ";
		if(location_bp!=-1)
			res+=location_bp+" ";
		res+=up_down+" ";
		if(reading_frame!=-1)
			res+="frame "+reading_frame+"";
		
		res+=explanation;
	
		
		return res;
	}
}
