/*
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package util.parsers;

import java.util.ArrayList;
import java.util.List;

public class GeneTrainingData {

	
	private List<GeneData> geneData = new ArrayList<GeneData>();
	private String sequence = new String("");
	private String fileName = new String("");
	private int definedBP = -1;



	public int getDefinedBP() {
		return definedBP;
	}



	public void setDefinedBP(int definedBP) {
		this.definedBP = definedBP;
	}



	public String getFileName() {
		return fileName;
	}



	public void setFileName(String fileName) {
		this.fileName = fileName;
	}



	public List<GeneData> getGeneData() {
		return geneData;
	}



	public void setGeneData(List<GeneData> geneData) {
		this.geneData = geneData;
	}



	public String getSequence() {
		return sequence;
	}



	public void setSequence(String sequence) {
		this.sequence = sequence;
	}
}
