/*
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package util.secondaryStructure;

import java.util.ArrayList;
import java.util.List;

public class SecondaryStructureData {

	
	public SecondaryStructureData(){
		
	}
	
	private boolean extended_structure = false;
	
	private List<String> structures = new ArrayList<String>();
	private List<Double> energies = new ArrayList<Double>();
	private List<String> sequences = new ArrayList<String>();
	
	private List<String> extra_structures = new ArrayList<String>();
	private List<Double> extra_energies = new ArrayList<Double>();
	
	
	/**
	 * @return the extended_structure
	 */
	public boolean isExtended_structure() {
		return extended_structure;
	}
	/**
	 * @param extended_structure the extended_structure to set
	 */
	public void setExtended_structure(boolean extended_structure) {
		this.extended_structure = extended_structure;
	}
	/**
	 * @return the extra_energies
	 */
	public List<Double> getExtra_energies() {
		return extra_energies;
	}
	/**
	 * @param extra_energies the extra_energies to set
	 */
	public void setExtra_energies(List<Double> extra_energies) {
		this.extra_energies = extra_energies;
	}
	/**
	 * @return the extra_structures
	 */
	public List<String> getExtra_structures() {
		return extra_structures;
	}
	/**
	 * @param extra_structures the extra_structures to set
	 */
	public void setExtra_structures(List<String> extra_structures) {
		this.extra_structures = extra_structures;
	}
	public List<Double> getEnergies() {
		return energies;
	}
	public void setEnergies(List<Double> energies) {
		this.energies = energies;
	}
	public List<String> getStructures() {
		return structures;
	}
	public void setStructures(List<String> structures) {
		this.structures = structures;
	}
	public List<String> getSequences() {
		return sequences;
	}
	public void setSequences(List<String> sequences) {
		this.sequences = sequences;
	}
}
