package var.experimenter;

import java.awt.GridLayout;
import java.util.ArrayList;
import java.util.List;

import javax.swing.JLabel;
import javax.swing.JTextField;

public class FixedOption extends ScriptOptionAbstractClass{
	
	public final static long serialVersionUID = 55879546l; 
	
	
	private List<Double> double_values = null;
	private List<Integer> integer_values = null;
	
	private JTextField fixed_field = null;
	
	public FixedOption(){
		super();
		this.setLayout(new GridLayout(1,2));
		double_values = new ArrayList<Double>();
		integer_values = new ArrayList<Integer>();
		fixed_field = new JTextField(""+0,10);
		
		this.add(new JLabel("Set value"));
		this.add(fixed_field);
	}
	public FixedOption(String start){
		super();
		this.setLayout(new GridLayout(1,2));
		double_values = new ArrayList<Double>();
		integer_values = new ArrayList<Integer>();
		fixed_field = new JTextField(start,10);
		
		this.add(new JLabel("Set value"));
		this.add(fixed_field);
	}
	

	public List<Double> getDoubleValues(){
		double_values.clear();
		double val = extractDoubleValue(fixed_field.getText(),0);
		double_values.add(val);
		
		return double_values;
	}
	public List<Integer> getIntValues(){
		integer_values.clear();
		double val = extractDoubleValue(fixed_field.getText(),0);
		int temp = (int)val;
		integer_values.add(temp);
		return integer_values;
	}

}
